GET
/
v1
/
learning
/
student
/
history
TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'

const client = new TxAgentKitClient({
  token: process.env.TX_AGENT_KIT_TOKEN
})

const response = await client.studentExperience.getStudentCompletedWork({
  query: {},
})
{
  "items": [
    {
      "id": "<string>",
      "title": "<string>",
      "completedAt": "<string>",
      "correct": 1,
      "total": 1
    }
  ],
  "nextCursor": "<string>"
}

Query Parameters

subjectId
enum<string>
Available options:
maths,
english,
verbal-reasoning,
non-verbal-reasoning
kind
enum<string>
Available options:
lesson,
revision,
test

a string at most 200 character(s) long

Maximum string length: 200
cursor
string

a string at most 2048 character(s) long

Maximum string length: 2048
limit
string

a string to be decoded into a number

Response

Success

items
object[]
required
nextCursor
string | null
required